Bug 225447 - Review Request: php-magpierss - MagpieRSS is an RSS parser written in PHP
Review Request: php-magpierss - MagpieRSS is an RSS parser written in PHP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 225434
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-30 12:45 EST by Michael Stahnke
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-23 22:17:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michael Stahnke 2007-01-30 12:45:32 EST
Spec URL: http://www.stahnkage.com/rpms/php-magpierss.spec
SRPM URL: http://www.stahnkage.com/rpms/php-magpierss-0.72-1.src.rpm
Description: MagpieRSS is a set of php files designed to parse RSS XML for usage in PHP code.
MagpieRSS is compatible with RSS 0.9 through RSS 1.0.
Comment 1 Michael Stahnke 2007-01-30 13:52:06 EST
I think I am going to change the install path for this and make the review
dependent on bug #225434.

Comment 3 Jason Tibbitts 2007-05-06 00:03:26 EDT
Well, hey, the blocker bug is fixed now, so I'll take a look.
Comment 4 Jason Tibbitts 2007-05-06 02:16:08 EDT
Well, there's not much to this package.  rpmlint is completely silent.

A couple of minor issues:

The indentation in %description looks a little odd.
There's no need for the leading slash here:
  /%{_datadir}/php/magpierss/

I don't think these are blockers.

* source files match upstream:
   7cf9698ade1067d19c4c551529928b70bdc270fd7c450c4eba883a17ac4614c3
   magpierss-0.72.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper (none needed)
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   php-magpierss = 0.72-2.fc7
  =
   php
* %check is not present; no test suite upstream.
* owns the directories it creates.
   /usr/share/php comes from php-common, which is a dependency of php.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 5 Michael Stahnke 2007-05-06 12:25:51 EDT
New Package CVS Request
=======================
Package Name: php-magpierss
Short Description: MagpieRSS is an RSS parser written in PHP
Owners: stahnma@fedoraproject.org
Branches:  FC-6, F7, devel, EL4, EL5 
Comment 6 Jason Tibbitts 2007-05-15 13:46:38 EDT
Please don't forget to close this bug once the package has been imported and built.

Note You need to log in before you can comment on or make changes to this bug.